DynamicWmsRequestHandler (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.image.wms
Class DynamicWmsRequestHandler

    java.lang.Object
      com.bbn.openmap.image.ImageServer
          com.bbn.openmap.image.wms.WmsRequestHandler
              com.bbn.openmap.image.wms.DynamicWmsRequestHandler

All Implemented Interfaces:
  ImageServerConstants, WMTConstants, PropertyConsumer

    public class DynamicWmsRequestHandler

extends WmsRequestHandler

Version:
  $Header: /cvs/CVS_LEBA/external/openmap/openmap/src/openmap/com/bbn/openmap /wms/DynamicWmsRequestHandler.java,v 1.1 2006/03/21 10:27:54 tomrak Exp $
Author:
  Adam Dawidowski, wachu, pitek

Field Summary

Fields inherited from class com.bbn.openmap.image.wms.WmsRequestHandler
`WMSPrefix`

Fields inherited from class com.bbn.openmap.image.ImageServer
`AntiAliasingProperty, background, BackgroundProperty, doAntiAliasing, formatter, imageFormatters, ImageFormattersProperty, ImageServerLayersProperty, layers, logger, OpenMapPrefix, projectionFactory, propertiesPrefix`

Fields inherited from interface com.bbn.openmap.image.ImageServerConstants
`AZIMUTH, LAT, LAYERMASK, LAYERS, LON, PAN, PROJTYPE, QUERY, RECENTER, SCALE, X, Y`

Fields inherited from interface com.bbn.openmap.image.WMTConstants
`BBOX, BGCOLOR, CAPABILITIES, CRS, EXCEPTIONS, FORMAT, GETCAPABILITIES, GETFEATUREINFO, GETLEGENDGRAPHIC, GETMAP, HEIGHT, IMAGEFORMAT_GEOTIFF, IMAGEFORMAT_GIF, IMAGEFORMAT_JPEG, IMAGEFORMAT_PNG, IMAGEFORMAT_PPM, IMAGEFORMAT_SVG, IMAGEFORMAT_TIFF, IMAGEFORMAT_WBMP, INFO_FORMAT, LAYER, MAP, QUERY_LAYERS, REQUEST, SERVICE, SRS, STYLE, STYLES, TRANSPARENT, VERSION, WIDTH, WMTVER`

Fields inherited from interface com.bbn.openmap.PropertyConsumer
`EditorProperty, initPropertiesProperty, LabelEditorProperty, ScopedEditorProperty`

Constructor Summary
`DynamicWmsRequestHandler(java.lang.String scheme, java.lang.String hostName, int port, java.lang.String path, java.util.Properties props, LayerHandler mapLayerHandler)`

Method Summary
`LayerHandler` | `getLayerHandler()` return - calls layer handler
`void` | `updateLayers()` export method used to read the new target data, in order to upload newly created layers of graphics (using layerHandlera) on under the assumed adowach earlier data for the layers with static data, ie maps of the ports, are out to date, and only s remaining layer (read from LayerHandler) and updated added to the array layers.

Methods inherited from class com.bbn.openmap.image.wms.WmsRequestHandler
`createWmsLayers, getCapabilities, getFormattedImage, getLayerByName, getTopLayerByName, handleGetCapabilitiesRequest, handleGetCapabilitiesRequest, handleGetFeatureInfoRequest, handleGetLegendGraphicRequest, handleGetLegendGraphicRequest, handleGetMapRequest, handleGetMapRequest, handleRequest, setRequestParametersOnLayers`

Methods inherited from class com.bbn.openmap.image.ImageServer
`calculateVisibleLayerMask, createGraphics, createImage, createImage, createImage, createImage, createImage, createImage, createImageFile, createImageFromLayers, createImageFromLayers, getBackground, getBackground, getDoAntiAliasing, getFormatter, getFormatters, getFormatters, getLayers, getLayers, getLayers, getMaskedLayers, getProjectionFactory, getProperties, getPropertyInfo, getPropertyPrefix, getTransparent, main, setBackground, setDoAntiAliasing, setFormatter, setFormatter, setFormatters, setLayers, setProjectionFactory, setProperties, setProperties, setProperties, setPropertyPrefix, setTransparent, writeImageFile`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DynamicWmsRequestHandler

    public DynamicWmsRequestHandler(java.lang.String scheme,
                                    java.lang.String hostName,
                                    int port,
                                    java.lang.String path,
                                    java.util.Properties props,
                                    LayerHandler mapLayerHandler)
                             throws java.io.IOException,
                                    WMSException

Throws:
  `java.io.IOException`
  `WMSException`

Method Detail

### updateLayers

    public void updateLayers()

  export method used to read the new target data, in order to upload newly created layers of graphics (using layerHandlera) on under the assumed adowach earlier data for the layers with static data, ie maps of the ports, are out to date, and only s remaining layer (read from LayerHandler) and updated added to the array layers. Table stores layers layers used by the image server to image generation.

### getLayerHandler

    public LayerHandler getLayerHandler()

  return - calls layer handler

  Returns:
    LayerHandler

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details